/**
 * Application Performance Monitoring Configuration API
 * Use the Application Performance Monitoring Configuration API to query and set Application Performance Monitoring
configuration. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Array of configuration items with dependencies to copy to a destination domain.
 */
export interface CopyConfigurationDetails {
    /**
     * Simple key-value pair that has parameters related to the import process (EnableOcidSubstitution, DestinationDomainID, \u2026) and more.
     * Example: {@code {\"parameter-key\": \"parameter-value\"}}
     * Supported parameters:
     * \u2014 Enable the OCIDs in instructions to be replaced, if set to \"true\" The Config Service replace any OCIDs it finds
     * in the instructions.
     * \u2014 Destination APM Domain ID where the configuration Item(s) will be fast imported to.
     * \u2014 List of Configuration Type or Groups to be fast imported.
     * \u2014 the compartment Id we will fast import to,
     * if the compartment Id is not provided it will be the default destination domain compartmentId.
     *
     */
    "configurationMap": {
        [key: string]: string;
    };
}
export declare namespace CopyConfigurationDetails {
    function getJsonObj(obj: CopyConfigurationDetails): object;
    function getDeserializedJsonObj(obj: CopyConfigurationDetails): object;
}
