/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of creating a resource principal configuration for the cluster.
 */
export interface CreateResourcePrincipalConfigurationDetails {
    /**
     * A user-friendly name. Only ASCII alphanumeric characters with no spaces allowed. The name does not have to be unique, and it may be changed. Avoid entering confidential information.
     */
    "displayName": string;
    /**
     * Base-64 encoded Cluster Admin Password for cluster admin user.
     */
    "clusterAdminPassword": string;
    /**
     * Life span in hours for the resource principal session token. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sessionTokenLifeSpanDurationInHours"?: number;
}
export declare namespace CreateResourcePrincipalConfigurationDetails {
    function getJsonObj(obj: CreateResourcePrincipalConfigurationDetails): object;
    function getDeserializedJsonObj(obj: CreateResourcePrincipalConfigurationDetails): object;
}
