/**
 * OCI Control Center Capacity Management API
 * OCI Control Center (OCC) Capacity Management enables you to manage capacity requests in realms where OCI Control Center Capacity Management is available. For more information, see [OCI Control Center](https://docs.oracle.com/iaas/Content/control-center/home.htm).
 * OpenAPI spec version: 20231107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details like building, room and block where the resource was placed after provisioning in the datacenter.
 *
 */
export interface PlacementDetails {
    /**
     * The name of the region for which the resources were provisioned.
     *
     */
    "region": string;
    /**
     * The availability domain (AD) for which the resources were provisioned.
     *
     */
    "availabilityDomain": string;
    /**
     * The type of workload to which these resources were provisioned.
     *
     */
    "workloadType": string;
    /**
     * The datacenter building where the resource was placed.
     *
     */
    "building": string;
    /**
     * The name of the room in the dataacenter building where the resource was placed.
     *
     */
    "room": string;
    /**
     * The block in the datacenter room where the resource was placed.
     *
     */
    "block": string;
}
export declare namespace PlacementDetails {
    function getJsonObj(obj: PlacementDetails): object;
    function getDeserializedJsonObj(obj: PlacementDetails): object;
}
