/**
 * Support Management API
 * Use the Support Management API to manage support requests.
For more information, see [Getting Help and Contacting Support](https://docs.oracle.com/iaas/Content/GSG/Tasks/contactingsupport.htm).
**Note**: Before you can create service requests with this API,
complete user registration at My Oracle Cloud Support
and then ask your tenancy administrator to provide you authorization for the related user groups.

 * OpenAPI spec version: 20181231
 * Contact: oci_ops_cims_dev_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details for creating a new user.
 */
export interface CreateUserDetails {
    /**
     * The OCID of the tenancy.
     */
    "compartmentId": string;
    /**
     * First name of the user.
     */
    "firstName": string;
    /**
     * Last name of the user.
     */
    "lastName": string;
    /**
     * CSI associated with the user.
     */
    "csi"?: string;
    /**
     * Contact number of the user.
     */
    "phone"?: string;
    /**
     * Timezone of the user.
     */
    "timezone"?: string;
    /**
     * Organization of the user.
     */
    "organizationName"?: string;
    /**
     * The kind of support ticket (type of support request).
     * For information about {@code ACCOUNT} support tickets, see
     * [Creating a Billing Support Request](https://docs.oracle.com/iaas/Content/GSG/support/create-incident-billing.htm).
     * For information about {@code LIMIT} support tickets, see
     * [Creating a Service Limit Increase Request](https://docs.oracle.com/iaas/Content/GSG/support/create-incident-limit.htm).
     * For information about {@code TECH} support tickets, see
     * [Creating a Technical Support Request](https://docs.oracle.com/iaas/Content/GSG/support/create-incident-technical.htm).
     *
     */
    "problemType": model.ProblemType;
}
export declare namespace CreateUserDetails {
    function getJsonObj(obj: CreateUserDetails): object;
    function getDeserializedJsonObj(obj: CreateUserDetails): object;
}
