/**
 * Oracle Cloud Bridge API
 * API for Oracle Cloud Bridge service.
 * OpenAPI spec version: 20220509
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Describes a network interface attachment.
 */
export interface InstanceNetworkInterfaceAttachment {
    /**
     * The ID of the network interface attachment.
     */
    "attachmentKey"?: string;
    /**
     * The timestamp when the attachment initiated.
     */
    "timeAttach"?: Date;
    /**
     * Indicates whether the network interface is deleted when the instance is terminated.
     */
    "isDeleteOnTermination"?: boolean;
    /**
     * The index of the device on the instance for the network interface attachment. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "deviceIndex"?: number;
    /**
     * The index of the network card. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "networkCardIndex"?: number;
    /**
     * The attachment state.
     */
    "status"?: string;
}
export declare namespace InstanceNetworkInterfaceAttachment {
    function getJsonObj(obj: InstanceNetworkInterfaceAttachment): object;
    function getDeserializedJsonObj(obj: InstanceNetworkInterfaceAttachment): object;
}
