/**
 * Kubernetes Engine API
 * API for the Kubernetes Engine service (also known as the Container Engine for Kubernetes service). Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Kubernetes Engine](https://docs.oracle.com/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The properties that define extra options for a cluster.
 */
export interface ClusterCreateOptions {
    /**
     * The OCIDs of the subnets used for Kubernetes services load balancers.
     */
    "serviceLbSubnetIds"?: Array<string>;
    /**
     * IP family to use for single stack or define the order of IP families for dual-stack
     */
    "ipFamilies"?: Array<ClusterCreateOptions.IpFamilies>;
    /**
     * Network configuration for Kubernetes.
     */
    "kubernetesNetworkConfig"?: model.KubernetesNetworkConfig;
    /**
     * Configurable cluster add-ons
     */
    "addOns"?: model.AddOnOptions;
    /**
     * Configurable cluster admission controllers
     */
    "admissionControllerOptions"?: model.AdmissionControllerOptions;
    "persistentVolumeConfig"?: model.PersistentVolumeConfigDetails;
    "serviceLbConfig"?: model.ServiceLbConfigDetails;
    "openIdConnectTokenAuthenticationConfig"?: model.OpenIdConnectTokenAuthenticationConfig;
    "openIdConnectDiscovery"?: model.OpenIdConnectDiscovery;
}
export declare namespace ClusterCreateOptions {
    enum IpFamilies {
        IPv4 = "IPv4",
        IPv6 = "IPv6",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ClusterCreateOptions): object;
    function getDeserializedJsonObj(obj: ClusterCreateOptions): object;
}
