/**
 * Kubernetes Engine API
 * API for the Kubernetes Engine service (also known as the Container Engine for Kubernetes service). Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Kubernetes Engine](https://docs.oracle.com/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Node Eviction Details configuration
 */
export interface NodeEvictionNodePoolSettings {
    /**
     * Duration after which OKE will give up eviction of the pods on the node. PT0M will indicate you want to delete the node without cordon and drain.
     * Default PT60M, Min PT0M, Max: PT60M. Format ISO 8601 e.g PT30M
     *
     */
    "evictionGraceDuration"?: string;
    /**
     * If the underlying compute instance should be deleted if you cannot evict all the pods in grace period
     */
    "isForceDeleteAfterGraceDuration"?: boolean;
    /**
     * If the node action should be performed if not all the pods can be evicted in the grace period
     */
    "isForceActionAfterGraceDuration"?: boolean;
}
export declare namespace NodeEvictionNodePoolSettings {
    function getJsonObj(obj: NodeEvictionNodePoolSettings): object;
    function getDeserializedJsonObj(obj: NodeEvictionNodePoolSettings): object;
}
