/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](https://docs.oracle.com/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details of an action member.
 */
export interface ActionMember {
    /**
     * The order of the action member in a scheduled action. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memberOrder": number;
    /**
     * The ocid of the action member.
     */
    "memberId": string;
    /**
     * The estimated time for the intended action member. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "estimatedTimeInMins"?: number;
}
export declare namespace ActionMember {
    function getJsonObj(obj: ActionMember): object;
    function getDeserializedJsonObj(obj: ActionMember): object;
}
