/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](https://docs.oracle.com/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The properties of the backup destination associated with the Autonomous Container Database.
 */
export interface BackupDestinationProperties {
    /**
     * The timestamps at which this backup destination is used as the preferred destination to host the Autonomous Container Database backups.
     */
    "backupDestinationAttachHistory"?: Array<Date>;
    /**
     * The total space utilized (in GBs) by this Autonomous Container Database on this backup destination, rounded to the nearest integer. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "spaceUtilizedInGBs"?: number;
    /**
     * The latest timestamp when the backup destination details, such as 'spaceUtilized,' are updated.
     */
    "timeAtWhichStorageDetailsAreUpdated"?: Date;
}
export declare namespace BackupDestinationProperties {
    function getJsonObj(obj: BackupDestinationProperties): object;
    function getDeserializedJsonObj(obj: BackupDestinationProperties): object;
}
