/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](https://docs.oracle.com/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Describe the parameters to create a new execution window after this execution window is canceled.
 *
 */
export interface CancelExecutionWindowDetails {
    /**
     * New scheduled date and time of the execution window.
     */
    "timeScheduledOfNewWindow": Date;
    /**
     * Duration window allows user to set a duration they plan to allocate for Scheduling window. The duration is in minutes.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "windowDurationInMinsOfNewWindow": number;
    /**
     * Indicates if duration the user plans to allocate for scheduling window is strictly enforced. The default value is {@code FALSE}.
     */
    "isEnforcedDurationOfNewWindow"?: boolean;
}
export declare namespace CancelExecutionWindowDetails {
    function getJsonObj(obj: CancelExecutionWindowDetails): object;
    function getDeserializedJsonObj(obj: CancelExecutionWindowDetails): object;
}
