/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](https://docs.oracle.com/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The configuration details for change Autonomous Container Database Dataguard role
 *
 */
export interface ConvertStandbyAutonomousContainerDatabaseDetails {
    /**
     * The Data Guard role of the Autonomous Container Database or Autonomous Database, if Autonomous Data Guard is enabled.
     *
     */
    "role": ConvertStandbyAutonomousContainerDatabaseDetails.Role;
    /**
     * type of connection strings when converting database to snapshot mode
     */
    "connectionStringsType"?: ConvertStandbyAutonomousContainerDatabaseDetails.ConnectionStringsType;
}
export declare namespace ConvertStandbyAutonomousContainerDatabaseDetails {
    enum Role {
        Primary = "PRIMARY",
        Standby = "STANDBY",
        DisabledStandby = "DISABLED_STANDBY",
        BackupCopy = "BACKUP_COPY",
        SnapshotStandby = "SNAPSHOT_STANDBY"
    }
    enum ConnectionStringsType {
        SnapshotServices = "SNAPSHOT_SERVICES",
        PrimaryServices = "PRIMARY_SERVICES"
    }
    function getJsonObj(obj: ConvertStandbyAutonomousContainerDatabaseDetails): object;
    function getDeserializedJsonObj(obj: ConvertStandbyAutonomousContainerDatabaseDetails): object;
}
