/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](https://docs.oracle.com/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The Data Guard reinstate parameters.
 *
 */
export interface ReinstateDataGuardDetails {
    /**
     * The administrator password of the primary database in this Data Guard association.
     * <p>
     **The password MUST be the same as the primary admin password.**
     *
     */
    "databaseAdminPassword": string;
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the source (primary) database in the Data Guard group.
     */
    "sourceDatabaseId": string;
}
export declare namespace ReinstateDataGuardDetails {
    function getJsonObj(obj: ReinstateDataGuardDetails): object;
    function getDeserializedJsonObj(obj: ReinstateDataGuardDetails): object;
}
