/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](https://docs.oracle.com/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The summary of the High Availability (HA) and backup for a database.
 */
export interface DatabaseBackupSummary {
    /**
     * The backup status of the database.
     */
    "backupStatus": string;
    /**
     * The database backup completion date and time in UTC in ISO-8601 format, which is \"yyyy-MM-dd'T'hh:mm:ss.sss'Z'\".
     */
    "timeBackupCompleted": Date;
    /**
     * The backup duration of the database in seconds. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "backupDurationInSeconds": number;
    /**
     * The backup type of the database (FULL/INCREMENTAL).
     */
    "backupType": string;
    /**
     * The backup destination of the database.
     */
    "backupDestination": DatabaseBackupSummary.BackupDestination;
    /**
     * The backup size of the database. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "backupSizeInGBs": number;
}
export declare namespace DatabaseBackupSummary {
    enum BackupDestination {
        Disk = "DISK",
        Tape = "TAPE",
        Nfs = "NFS",
        Local = "LOCAL",
        Dbrs = "DBRS",
        ObjectStore = "OBJECT_STORE",
        RecoveryAppliance = "RECOVERY_APPLIANCE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DatabaseBackupSummary): object;
    function getDeserializedJsonObj(obj: DatabaseBackupSummary): object;
}
