/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](https://docs.oracle.com/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details to disable an eMysql Associated Service.
 */
export interface DisableExternalMysqlAssociatedServiceDetails {
    /**
     * OCID of the Service Resource.
     */
    "serviceResourceId": string;
    /**
     * OCID of the External MySQL Database connector.
     */
    "connectorId": string;
    /**
     * Name of the Associated Service.
     */
    "serviceName": model.ExternalMysqlAssociatedServiceName;
}
export declare namespace DisableExternalMysqlAssociatedServiceDetails {
    function getJsonObj(obj: DisableExternalMysqlAssociatedServiceDetails): object;
    function getDeserializedJsonObj(obj: DisableExternalMysqlAssociatedServiceDetails): object;
}
