/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](https://docs.oracle.com/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The metric definition for HA and backup metrics.
 */
export interface HaMetricDefinition {
    /**
     * The name of the metric.
     */
    "metricName": string;
    /**
     * The metadata qualifiers provided in the definition of the returned metric.
     * Available metadata vary by metric.
     *
     */
    "metadata": {
        [key: string]: string;
    };
    /**
     * The dimension qualifiers provided in the definition of the returned metric.
     * Available dimensions vary by metric namespace. Each dimension takes the form of a key-value pair.
     * Example: {@code {\"resourceId\": \"ocid1.instance.region1.phx.exampleuniqueID\"}}
     *
     */
    "dimensions": {
        [key: string]: string;
    };
    /**
     * The data point date and time in UTC in ISO-8601 format, which is \"yyyy-MM-dd'T'hh:mm:ss.sss'Z'\".
     */
    "timestamp": Date;
    /**
     * The target value of the metric. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "value": number;
}
export declare namespace HaMetricDefinition {
    function getJsonObj(obj: HaMetricDefinition): object;
    function getDeserializedJsonObj(obj: HaMetricDefinition): object;
}
