/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](https://docs.oracle.com/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Update Details of external database connector.
 */
export interface UpdateMySqlDatabaseConnectorDetails {
    /**
     * External MySQL Database Connector Name.
     */
    "displayName"?: string;
    /**
     * Agent Id of the MACS agent.
     */
    "macsAgentId": string;
    /**
     * Host name for Connector.
     */
    "hostName": string;
    /**
     * Port number to connect to External MySQL Database. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port": number;
    /**
     * Type of the credential.
     */
    "credentialType"?: model.MySqlCredType;
    /**
     * If using existing SSL secret to connect, OCID for the secret resource.
     */
    "sslSecretId": string;
    /**
     * Protocol to be used to connect to External MySQL Database; TCP, TCP with SSL or Socket.
     */
    "networkProtocol": model.MySqlNetworkProtocolType;
    /**
     * OCID of MySQL Database resource.
     */
    "externalDatabaseId"?: string;
}
export declare namespace UpdateMySqlDatabaseConnectorDetails {
    function getJsonObj(obj: UpdateMySqlDatabaseConnectorDetails): object;
    function getDeserializedJsonObj(obj: UpdateMySqlDatabaseConnectorDetails): object;
}
