/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details to create a new sensitive types export. To specify some sensitive types for export, use
 * sensitiveTypeIdsForExport attribute. But if you want to include all sensitive types, you can set
 * isIncludeAllSensitiveTypes attributes to true. In the latter case, you do not need to list all
 * sensitive types.
 *
 */
export interface CreateSensitiveTypesExportDetails {
    /**
     * The display name of the sensitive types export. The name does not have to be unique, and it's changeable.
     */
    "displayName"?: string;
    /**
     * The description of the sensitive types export.
     */
    "description"?: string;
    /**
     * The OCID of the compartment where the sensitive types export should be created.
     */
    "compartmentId": string;
    /**
     * The OCIDs of the sensitive types used to create sensitive types export.
     *
     */
    "sensitiveTypeIdsForExport"?: Array<string>;
    /**
     * Indicates if all the existing user-defined sensitive types are used for export. If it's set to true, the
     * sensitiveTypeIdsForExport attribute is ignored and all user-defined sensitive types are used.
     *
     */
    "isIncludeAllSensitiveTypes"?: boolean;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateSensitiveTypesExportDetails {
    function getJsonObj(obj: CreateSensitiveTypesExportDetails): object;
    function getDeserializedJsonObj(obj: CreateSensitiveTypesExportDetails): object;
}
