/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Schema for single configuration property
 */
export interface ConfigurationPropertySchema {
    /**
     * Name of key (parameter name)
     */
    "keyName": string;
    /**
     * Type of value
     */
    "valueType": ConfigurationPropertySchema.ValueType;
    /**
     * Description of this configuration property
     */
    "description": string;
    /**
     * If the value is true this configuration property is mandatory and visa versa. If not specified configuration property is optional.
     */
    "isMandatory"?: boolean;
    /**
     * The default value for the optional configuration property (it must not be specified for mandatory configuration properties)
     */
    "defaultValue"?: string;
    /**
     * A regular expression will be used for the validation of property value.
     */
    "validationRegexp"?: string;
    /**
     * Sample property value (it must match validationRegexp if it is specified)
     */
    "sampleValue": string;
}
export declare namespace ConfigurationPropertySchema {
    enum ValueType {
        String = "STRING",
        Secret = "SECRET",
        VaultSecretId = "VAULT_SECRET_ID",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ConfigurationPropertySchema): object;
    function getDeserializedJsonObj(obj: ConfigurationPropertySchema): object;
}
