/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary representation of a container
 */
export interface ContainerSummary {
    /**
     * The name of the container. This can be same for different tags
     */
    "containerName": string;
    /**
     * The display name of the container.
     */
    "displayName"?: string;
    /**
     * The family name of the container.
     */
    "familyName"?: string;
    /**
     * Description of the container.
     */
    "description"?: string;
    /**
     * The latest tag of the container.
     */
    "isLatest": boolean;
    /**
     * The list of target workload. This Container can be used with given data science resources.
     */
    "targetWorkloads"?: Array<ContainerSummary.TargetWorkloads>;
    /**
     * The list of usages of this container. This Container can be used for given use-cases.
     */
    "usages"?: Array<ContainerSummary.Usages>;
    /**
     * Container Tag.
     */
    "tag": string;
    /**
     * Container Version LifecycleState.
     */
    "lifecycleState": model.ContainerVersionLifecycleState;
    /**
     * workload configuration of the container.
     */
    "workloadConfigurationDetailsList"?: Array<model.WorkloadConfigurationDetails>;
    /**
     * An array of defined metadata details for the model.
     */
    "tagConfigurationList"?: Array<model.TagConfiguration>;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. See [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace. See [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace ContainerSummary {
    enum TargetWorkloads {
        ModelDeployment = "MODEL_DEPLOYMENT",
        JobRun = "JOB_RUN",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum Usages {
        Inference = "INFERENCE",
        FineTune = "FINE_TUNE",
        Evaluation = "EVALUATION",
        BatchInference = "BATCH_INFERENCE",
        Other = "OTHER",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ContainerSummary): object;
    function getDeserializedJsonObj(obj: ContainerSummary): object;
}
