/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Create configuration for existing Oracle Cloud Service
 */
export interface CreateIdcsCustomServiceAuthConfigurationDetails extends model.CreateAuthConfigurationDetails {
    /**
     * Audience of the IDCS application
     */
    "audience": string;
    /**
     * Scope of the IDCS application
     */
    "scope": string;
    /**
     * Name of the IDCS application
     */
    "applicationName": string;
    /**
     * Name of the IDCS application role
     */
    "roleName"?: string;
    /**
     * Bearer token serving as Proof-of-Ownership for referenced IDCS stripe/application
     */
    "accessToken": string;
    "type": string;
}
export declare namespace CreateIdcsCustomServiceAuthConfigurationDetails {
    function getJsonObj(obj: CreateIdcsCustomServiceAuthConfigurationDetails, isParentJsonObj?: boolean): object;
    const type = "IDCS_CUSTOM_SERVICE";
    function getDeserializedJsonObj(obj: CreateIdcsCustomServiceAuthConfigurationDetails, isParentJsonObj?: boolean): object;
}
