/**
 * Dblm API
 * A description of the Dblm API
 * OpenAPI spec version: 20240102
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of deploy, update and migrate-listener(only for single Instance database) operations for this resource.
 */
export interface PatchActivityDetails {
    /**
     * Operation Identifier for deploy operation.
     */
    "deployOperationId"?: string;
    /**
     * Task identifier for deploy operation.
     */
    "deployTaskId"?: string;
    /**
     * Status of deploy operation.
     */
    "deployStatus"?: PatchActivityDetails.DeployStatus;
    /**
     * Operation Identifier for update operation.
     */
    "updateOperationId"?: string;
    /**
     * Task identifier for update operation.
     */
    "updateTaskId"?: string;
    /**
     * Status of update operation.
     */
    "updateStatus"?: PatchActivityDetails.UpdateStatus;
    /**
     * Operation Identifier for migrate listener operation.
     */
    "migrateListenerOperationId"?: string;
    /**
     * Task identifier for migrate listener operation.
     */
    "migrateListenerTaskId"?: string;
    /**
     * Status of migrate listener operation.
     */
    "migrateListenerStatus"?: PatchActivityDetails.MigrateListenerStatus;
}
export declare namespace PatchActivityDetails {
    enum DeployStatus {
        Scheduled = "SCHEDULED",
        Running = "RUNNING",
        Completed = "COMPLETED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum UpdateStatus {
        Scheduled = "SCHEDULED",
        Running = "RUNNING",
        Completed = "COMPLETED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum MigrateListenerStatus {
        Scheduled = "SCHEDULED",
        Running = "RUNNING",
        Completed = "COMPLETED",
        Failed = "FAILED",
        Na = "NA",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: PatchActivityDetails): object;
    function getDeserializedJsonObj(obj: PatchActivityDetails): object;
}
