/**
 * Oracle Delegate Access Control API
 * Oracle Delegate Access Control allows ExaCC and ExaCS customers to delegate management of their Exadata resources operators outside their tenancies.
With Delegate Access Control, Support Providers can deliver managed services using comprehensive and robust tooling built on the OCI platform.
Customers maintain control over who has access to the delegated resources in their tenancy and what actions can be taken.
Enterprises managing resources across multiple tenants can use Delegate Access Control to streamline management tasks.
Using logging service, customers can view a near real-time audit report of all actions performed by a Service Provider operator.

 * OpenAPI spec version: 20230801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ApproveDelegatedResourceAccessRequestRequest from "./approve-delegated-resource-access-request-request";
export import ApproveDelegatedResourceAccessRequestRequest = ApproveDelegatedResourceAccessRequestRequest.ApproveDelegatedResourceAccessRequestRequest;
import * as ChangeDelegationControlCompartmentRequest from "./change-delegation-control-compartment-request";
export import ChangeDelegationControlCompartmentRequest = ChangeDelegationControlCompartmentRequest.ChangeDelegationControlCompartmentRequest;
import * as ChangeDelegationSubscriptionCompartmentRequest from "./change-delegation-subscription-compartment-request";
export import ChangeDelegationSubscriptionCompartmentRequest = ChangeDelegationSubscriptionCompartmentRequest.ChangeDelegationSubscriptionCompartmentRequest;
import * as CreateDelegationControlRequest from "./create-delegation-control-request";
export import CreateDelegationControlRequest = CreateDelegationControlRequest.CreateDelegationControlRequest;
import * as CreateDelegationSubscriptionRequest from "./create-delegation-subscription-request";
export import CreateDelegationSubscriptionRequest = CreateDelegationSubscriptionRequest.CreateDelegationSubscriptionRequest;
import * as DeleteDelegationControlRequest from "./delete-delegation-control-request";
export import DeleteDelegationControlRequest = DeleteDelegationControlRequest.DeleteDelegationControlRequest;
import * as DeleteDelegationSubscriptionRequest from "./delete-delegation-subscription-request";
export import DeleteDelegationSubscriptionRequest = DeleteDelegationSubscriptionRequest.DeleteDelegationSubscriptionRequest;
import * as GetDelegatedResourceAccessRequestRequest from "./get-delegated-resource-access-request-request";
export import GetDelegatedResourceAccessRequestRequest = GetDelegatedResourceAccessRequestRequest.GetDelegatedResourceAccessRequestRequest;
import * as GetDelegatedResourceAccessRequestAuditLogReportRequest from "./get-delegated-resource-access-request-audit-log-report-request";
export import GetDelegatedResourceAccessRequestAuditLogReportRequest = GetDelegatedResourceAccessRequestAuditLogReportRequest.GetDelegatedResourceAccessRequestAuditLogReportRequest;
import * as GetDelegationControlRequest from "./get-delegation-control-request";
export import GetDelegationControlRequest = GetDelegationControlRequest.GetDelegationControlRequest;
import * as GetDelegationSubscriptionRequest from "./get-delegation-subscription-request";
export import GetDelegationSubscriptionRequest = GetDelegationSubscriptionRequest.GetDelegationSubscriptionRequest;
import * as GetServiceProviderRequest from "./get-service-provider-request";
export import GetServiceProviderRequest = GetServiceProviderRequest.GetServiceProviderRequest;
import * as GetServiceProviderActionRequest from "./get-service-provider-action-request";
export import GetServiceProviderActionRequest = GetServiceProviderActionRequest.GetServiceProviderActionRequest;
import * as ListDelegatedResourceAccessRequestHistoriesRequest from "./list-delegated-resource-access-request-histories-request";
export import ListDelegatedResourceAccessRequestHistoriesRequest = ListDelegatedResourceAccessRequestHistoriesRequest.ListDelegatedResourceAccessRequestHistoriesRequest;
import * as ListDelegatedResourceAccessRequestsRequest from "./list-delegated-resource-access-requests-request";
export import ListDelegatedResourceAccessRequestsRequest = ListDelegatedResourceAccessRequestsRequest.ListDelegatedResourceAccessRequestsRequest;
import * as ListDelegationControlResourcesRequest from "./list-delegation-control-resources-request";
export import ListDelegationControlResourcesRequest = ListDelegationControlResourcesRequest.ListDelegationControlResourcesRequest;
import * as ListDelegationControlsRequest from "./list-delegation-controls-request";
export import ListDelegationControlsRequest = ListDelegationControlsRequest.ListDelegationControlsRequest;
import * as ListDelegationSubscriptionsRequest from "./list-delegation-subscriptions-request";
export import ListDelegationSubscriptionsRequest = ListDelegationSubscriptionsRequest.ListDelegationSubscriptionsRequest;
import * as ListServiceProviderActionsRequest from "./list-service-provider-actions-request";
export import ListServiceProviderActionsRequest = ListServiceProviderActionsRequest.ListServiceProviderActionsRequest;
import * as ListServiceProviderInteractionsRequest from "./list-service-provider-interactions-request";
export import ListServiceProviderInteractionsRequest = ListServiceProviderInteractionsRequest.ListServiceProviderInteractionsRequest;
import * as ListServiceProvidersRequest from "./list-service-providers-request";
export import ListServiceProvidersRequest = ListServiceProvidersRequest.ListServiceProvidersRequest;
import * as RejectDelegatedResourceAccessRequestRequest from "./reject-delegated-resource-access-request-request";
export import RejectDelegatedResourceAccessRequestRequest = RejectDelegatedResourceAccessRequestRequest.RejectDelegatedResourceAccessRequestRequest;
import * as RevokeDelegatedResourceAccessRequestRequest from "./revoke-delegated-resource-access-request-request";
export import RevokeDelegatedResourceAccessRequestRequest = RevokeDelegatedResourceAccessRequestRequest.RevokeDelegatedResourceAccessRequestRequest;
import * as ServiceProviderInteractionRequestRequest from "./service-provider-interaction-request-request";
export import ServiceProviderInteractionRequestRequest = ServiceProviderInteractionRequestRequest.ServiceProviderInteractionRequestRequest;
import * as UpdateDelegationControlRequest from "./update-delegation-control-request";
export import UpdateDelegationControlRequest = UpdateDelegationControlRequest.UpdateDelegationControlRequest;
import * as UpdateDelegationSubscriptionRequest from "./update-delegation-subscription-request";
export import UpdateDelegationSubscriptionRequest = UpdateDelegationSubscriptionRequest.UpdateDelegationSubscriptionRequest;
import * as GetWorkRequestRequest from "./get-work-request-request";
export import GetWorkRequestRequest = GetWorkRequestRequest.GetWorkRequestRequest;
import * as ListWorkRequestErrorsRequest from "./list-work-request-errors-request";
export import ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
import * as ListWorkRequestLogsRequest from "./list-work-request-logs-request";
export import ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
import * as ListWorkRequestsRequest from "./list-work-requests-request";
export import ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
