/**
 * Secure Desktops API
 * Create and manage cloud-hosted desktops which can be accessed from a web browser or installed client.

 * OpenAPI spec version: 20220618
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Provides information about the network configuration of the desktop pool.
 */
export interface DesktopNetworkConfiguration {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the customer VCN.
     *
     */
    "vcnId": string;
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the subnet in the customer VCN where the
     * connectivity will be established.
     *
     */
    "subnetId": string;
}
export declare namespace DesktopNetworkConfiguration {
    function getJsonObj(obj: DesktopNetworkConfiguration): object;
    function getDeserializedJsonObj(obj: DesktopNetworkConfiguration): object;
}
