/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](https://docs.oracle.com/iaas/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Enabled and disabled merge strategies for a project or repository, also contains a default strategy.
 */
export interface MergeSettings {
    /**
     * Default type of merge strategy associated with the a Project or Repository.
     */
    "defaultMergeStrategy": model.MergeStrategy;
    /**
     * List of merge strategies which are allowed for a Project or Repository.
     */
    "allowedMergeStrategies": Array<model.MergeStrategy>;
}
export declare namespace MergeSettings {
    function getJsonObj(obj: MergeSettings): object;
    function getDeserializedJsonObj(obj: MergeSettings): object;
}
