/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](https://docs.oracle.com/iaas/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * summary of a pullRequest comment
 */
export interface PullRequestCommentSummary {
    /**
     * Unique identifier that is immutable on creation
     */
    "id": string;
    /**
     * OCID of the pull request that this comment belongs to
     */
    "pullRequestId": string;
    /**
     * Content of the Comment.
     */
    "data": string;
    /**
     * ID of parent Comment
     */
    "parentId"?: string;
    /**
     * File path in the commit
     */
    "filePath"?: string;
    /**
     * Commit SHA
     */
    "commitId"?: string;
    /**
     * File path in the target commit
     */
    "fileType"?: string;
    /**
     * Line number in the file Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "lineNumber"?: number;
    "likes"?: model.PullRequestCommentLikeCollection;
    /**
     * Status of the Comment
     */
    "status": string;
    /**
     * Creation timestamp. Format defined by [RFC3339](https://datatracker.ietf.org/doc/html/rfc3339).
     */
    "timeCreated": Date;
    "createdBy": model.PrincipalDetails;
    /**
     * Latest update timestamp. Format defined by [RFC3339](https://datatracker.ietf.org/doc/html/rfc3339).
     */
    "timeUpdated"?: Date;
    "updatedBy"?: model.PrincipalDetails;
    /**
     * Shows the status of an inline comments context
     */
    "contextStatus"?: string;
    /**
     * 4 line snippet to be displayed as context for inline comments
     */
    "commentContext"?: Array<model.DiffLineDetails>;
}
export declare namespace PullRequestCommentSummary {
    function getJsonObj(obj: PullRequestCommentSummary): object;
    function getDeserializedJsonObj(obj: PullRequestCommentSummary): object;
}
