/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Create properties for a customer-managed vault and encryption key in the destination region.
 * The customer-managed encryption key in this will be used to encrypt the resource or containing resources after they
 * move to the destination region.
 *
 */
export interface CreateVaultAndEncryptionKeyDetails {
    /**
      * The OCID of the destination region vault for the customer-managed encryption key.
  * <p>
  Example: {@code ocid1.vault.oc1..uniqueID}
  *
      */
    "vaultId": string;
    /**
      * The OCID of the customer-managed encryption key in the destination region vault.
  * <p>
  Example: {@code ocid1.key.oc1..uniqueID}
  *
      */
    "encryptionKeyId": string;
}
export declare namespace CreateVaultAndEncryptionKeyDetails {
    function getJsonObj(obj: CreateVaultAndEncryptionKeyDetails): object;
    function getDeserializedJsonObj(obj: CreateVaultAndEncryptionKeyDetails): object;
}
