/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Source-to-destination mapping for a network load balancer.
 */
export interface OkeClusterNetworkLoadBalancerMapping {
    /**
      * The OCID of the source Network Load Balancer.
  * <p>
  Example: {@code ocid1.networkloadbalancer.oc1..uniqueID}
  *
      */
    "sourceNetworkLoadBalancerId": string;
    /**
      * The OCID of the destination Network Load Balancer.
  * <p>
  Example: {@code ocid1.networkloadbalancer.oc1..uniqueID}
  *
      */
    "destinationNetworkLoadBalancerId": string;
}
export declare namespace OkeClusterNetworkLoadBalancerMapping {
    function getJsonObj(obj: OkeClusterNetworkLoadBalancerMapping): object;
    function getDeserializedJsonObj(obj: OkeClusterNetworkLoadBalancerMapping): object;
}
