/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of the target and patches.
 */
export interface ComplianceReportTarget {
    /**
     * Target Identifier.Can be the target name if a separate ID is not available.
     */
    "targetId": string;
    /**
     * Target Name.
     */
    "targetName": string;
    /**
     * Current version of the target.
     */
    "version"?: string;
    /**
     * The last known compliance state of the target.
     */
    "complianceState": model.ComplianceState;
    /**
     * Installed Patches for the Target.
     */
    "installedPatches"?: Array<model.ComplianceReportPatchDetail>;
    /**
     * Recommended Patches for the Target.
     */
    "recommendedPatches"?: Array<model.ComplianceReportPatchDetail>;
}
export declare namespace ComplianceReportTarget {
    function getJsonObj(obj: ComplianceReportTarget): object;
    function getDeserializedJsonObj(obj: ComplianceReportTarget): object;
}
