/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The information about the resource to be added to the fleet.
 */
export interface CreateFleetResourceDetails {
    /**
     * The OCID of the resource.
     */
    "resourceId": string;
    /**
     * OCID of the tenancy to which the resource belongs to.
     */
    "tenancyId": string;
    /**
     * OCID of the compartment to which the resource belongs to.
     */
    "compartmentId": string;
    /**
     * Associated region
     */
    "resourceRegion"?: string;
    /**
     * Type of the Resource.
     */
    "resourceType"?: string;
}
export declare namespace CreateFleetResourceDetails {
    function getJsonObj(obj: CreateFleetResourceDetails): object;
    function getDeserializedJsonObj(obj: CreateFleetResourceDetails): object;
}
