/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The data to create a FamProvision.
 */
export interface CreateProvisionDetails {
    /**
     * A user-friendly name. Does not have to be unique, and it's changeable. Avoid entering confidential information.
     */
    "displayName"?: string;
    /**
     * A description of the provision.
     */
    "provisionDescription"?: string;
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment to create the FamProvision in.
     *
     */
    "compartmentId": string;
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Catalog Item.
     */
    "packageCatalogItemId": string;
    /**
     * A [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Catalog Item to a file with key/value pairs to set up variables for createStack API.
     */
    "configCatalogItemId": string;
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Fleet.
     */
    "fleetId": string;
    /**
     * A mandatory variable added to a list of RMS variables for createStack API. Overrides the one supplied in configuration file.
     */
    "tfVariableTenancyId": string;
    /**
     * A mandatory variable added to a list of RMS variables for createStack API. Overrides the one supplied in configuration file.
     */
    "tfVariableRegionId": string;
    /**
     * An optional variable added to a list of RMS variables for createStack API. Overrides the one supplied in configuration file.
     */
    "tfVariableCurrentUserId"?: string;
    /**
     * An optional variable added to a list of RMS variables for createStack API. Overrides the one supplied in configuration file.
     */
    "tfVariableCompartmentId"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateProvisionDetails {
    function getJsonObj(obj: CreateProvisionDetails): object;
    function getDeserializedJsonObj(obj: CreateProvisionDetails): object;
}
