/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Filtered List Of Deployed Resources
 */
export interface DeployedResourceDetails {
    /**
     * The mode of the resource. Example: \"managed\"
     */
    "mode": string;
    /**
     * The name of the resource
     */
    "resourceName": string;
    /**
     * The name of the Provider
     */
    "resourceProvider": string;
    /**
     * The provider resource type. Must be supported by the [Oracle Cloud Infrastructure provider](https://registry.terraform.io/providers/oracle/oci/latest/docs).
     * Example: oci_core_instance
     *
     */
    "resourceType": string;
    /**
     * Collection of InstanceSummary
     */
    "resourceInstanceList": Array<model.InstanceSummary>;
}
export declare namespace DeployedResourceDetails {
    function getJsonObj(obj: DeployedResourceDetails): object;
    function getDeserializedJsonObj(obj: DeployedResourceDetails): object;
}
