/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of the task.
 */
export interface Details {
    "executionDetails": model.ScriptBasedExecutionDetails | model.TerraformBasedExecutionDetails | model.ApiBasedExecutionDetails;
    /**
     * The platform of the runbook.
     */
    "platform"?: string;
    /**
     * The OS for the task
     */
    "osType"?: model.OsType;
    /**
     * The scope of the task
     */
    "scope": model.TaskScope;
    "properties"?: model.Properties;
    /**
     * Is this a discovery output task?
     */
    "isDiscoveryOutputTask"?: boolean;
    /**
     * Is this an Apply Subject Task?
     * Set this to true for a Patch Execution Task which applies patches(subjects) on a target.
     *
     */
    "isApplySubjectTask"?: boolean;
    /**
     * The lifecycle operation performed by the runbook.
     */
    "operation"?: string;
}
export declare namespace Details {
    function getJsonObj(obj: Details): object;
    function getDeserializedJsonObj(obj: Details): object;
}
