/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A string variable that holds a value
 */
export interface FleetBasedActionGroupDetails extends model.ActionGroupDetails {
    /**
     * ID of the fleet
     */
    "fleetId": string;
    /**
     * sequence of the Action Group Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sequence"?: number;
    /**
     * ID of the runbook
     */
    "runbookId": string;
    /**
     * Name of the runbook version
     */
    "runbookVersionName": string;
    "kind": string;
}
export declare namespace FleetBasedActionGroupDetails {
    function getJsonObj(obj: FleetBasedActionGroupDetails, isParentJsonObj?: boolean): object;
    const kind = "FLEET_USING_RUNBOOK";
    function getDeserializedJsonObj(obj: FleetBasedActionGroupDetails, isParentJsonObj?: boolean): object;
}
