/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details for the Credentials that use key encryption.
 */
export interface KeyEncryptionCredentialDetails extends model.CredentialDetails {
    /**
     * The value corresponding to the credential.
     */
    "value": string;
    /**
     * OCID for the Vault Key that will be used to encrypt/decrypt the value given.
     */
    "keyId": string;
    /**
     * The Vault Key version.
     */
    "keyVersion"?: string;
    /**
     * OCID for the Vault that will be used to fetch the key to encrypt/decrypt the value given.
     */
    "vaultId": string;
    "credentialType": string;
}
export declare namespace KeyEncryptionCredentialDetails {
    function getJsonObj(obj: KeyEncryptionCredentialDetails, isParentJsonObj?: boolean): object;
    const credentialType = "KEY_ENCRYPTION";
    function getDeserializedJsonObj(obj: KeyEncryptionCredentialDetails, isParentJsonObj?: boolean): object;
}
