/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Rule for DYNAMIC selection.
 *
 */
export interface Rule {
    /**
     * Based on what the rule is created.
     * It can be based on a resourceProperty or a tag.
     * If based on a tag, basis will be 'definedTagEquals'
     * If based on a resource property, basis will be 'inventoryProperties'
     *
     */
    "basis"?: string;
    /**
     * Compartment Id for which the rule is created.
     *
     */
    "compartmentId": string;
    /**
     * The Compartment ID to dynamically search resources.
     * Provide the compartment ID to which the rule is applicable.
     *
     */
    "resourceCompartmentId": string;
    /**
     * Rule Conditions
     */
    "conditions": Array<model.Condition>;
}
export declare namespace Rule {
    function getJsonObj(obj: Rule): object;
    function getDeserializedJsonObj(obj: Rule): object;
}
