/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details for script-based execution.
 */
export interface ScriptBasedExecutionDetails extends model.ExecutionDetails {
    "variables"?: model.TaskVariable;
    "content"?: model.CatalogContentDetails | model.ObjectStorageBucketContentDetails;
    /**
     * Optional command to execute the content.
     * You can provide any commands/arguments that can't be part of the script.
     *
     */
    "command"?: string;
    /**
     * Credentials required for executing the task.
     *
     */
    "credentials"?: Array<model.ConfigAssociationDetails>;
    /**
     * Is the script locked to prevent changes directly in Object Storage?
     */
    "isLocked"?: boolean;
    /**
     * Is the Content an executable file?
     */
    "isExecutableContent"?: boolean;
    "executionType": string;
}
export declare namespace ScriptBasedExecutionDetails {
    function getJsonObj(obj: ScriptBasedExecutionDetails, isParentJsonObj?: boolean): object;
    const executionType = "SCRIPT";
    function getDeserializedJsonObj(obj: ScriptBasedExecutionDetails, isParentJsonObj?: boolean): object;
}
