/**
 *
 *
 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.oracle.com/en-us/iaas/tools/typescript-sdk-examples/latest/fleetappsmanagement/ListCatalogItems.ts.html |here} to see how to use ListCatalogItemsRequest.
 */
export interface ListCatalogItemsRequest extends common.BaseRequest {
    /**
     * The ID of the compartment in which to list resources.
     */
    "compartmentId": string;
    /**
     * The [ConfigSourceType](https://docs.oracle.com/iaas/definitions/CatalogItem/configSourceType) Eg: STACK_TEMPLATE_CATALOG_SOURCE, PAR_CATALOG_SOURCE, URL_CATALOG_SOURCE, MARKETPLACE_CATALOG_SOURCE.
     *
     */
    "configSourceType"?: string;
    /**
     * A filter to return only resources that match the given lifecycle state. The
     * state value is case-insensitive.
     *
     */
    "lifecycleState"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. You can provide only one sort by. Default value for {@code timeCreated}
     * is descending. Default order for {@code displayName} is ascending
     *
     */
    "sortBy"?: model.CatalogItemSortBy;
    /**
     * A filter to return only resources that match the entire display name given.
     */
    "displayName"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * catalogListingId of the package. This is an integer whose min and max length are specified.
     */
    "catalogListingId"?: string;
    /**
     * Parameter to list all catalog items only with latest version or list all catalog items with all versions.
     */
    "catalogListingVersionCriteria"?: model.CatalogListingVersionCriteriaEnum;
    /**
     * The indicator to append Public Items from the root compartment to any query, when set to TRUE.
     */
    "shouldListPublicItems"?: boolean;
}
