/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The metadata specific to a production or development/testing environment.
 *
 */
export interface DeploymentEnvironmentSummary {
    /**
     * Specifies whether the deployment is used in a production or development/testing environment.
     *
     */
    "environmentType": model.EnvironmentType;
    /**
     * The deployment category defines the broad separation of the deployment type into three categories.
     * Currently the separation is 'DATA_REPLICATION', 'STREAM_ANALYTICS' and 'DATA_TRANSFORMS'.
     *
     */
    "category": model.DeploymentCategory;
    /**
     * An object's Display Name.
     *
     */
    "displayName"?: string;
    /**
     * The minimum CPU core count.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minCpuCoreCount": number;
    /**
     * The default CPU core count.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "defaultCpuCoreCount": number;
    /**
     * The maximum CPU core count.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxCpuCoreCount": number;
    /**
     * Specifies whether the \"Auto scaling\" option should be enabled by default or not.
     *
     */
    "isAutoScalingEnabledByDefault": boolean;
    /**
     * The multiplier value between CPU core count and network bandwidth.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "networkBandwidthPerOcpuInGbps": number;
    /**
     * The multiplier value between CPU core count and memory size.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryPerOcpuInGBs": number;
    /**
     * The multiplier value between CPU core count and storage usage limit size.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "storageUsageLimitPerOcpuInGBs": number;
}
export declare namespace DeploymentEnvironmentSummary {
    function getJsonObj(obj: DeploymentEnvironmentSummary): object;
    function getDeserializedJsonObj(obj: DeploymentEnvironmentSummary): object;
}
