/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Each replication process and their summary details.
 *
 */
export interface PipelineRunningProcessSummary {
    /**
     * An object's Display Name.
     *
     */
    "name": string;
    /**
     * The type of process running in a replication. For example, Extract or Replicat. This option applies when retrieving running processes.
     *
     */
    "processType": model.ProcessType;
    /**
     * The status of the Extract or Replicat process. This option applies when retrieving running processes.
     *
     */
    "status": model.ProcessStatusType;
    /**
     * The latency, in seconds, of a process running in a replication. This option applies when retrieving running processes.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "lastRecordLagInSeconds": number;
    /**
     * The date and time the last record was processed by an Extract or Replicat. This option applies when retrieving running processes.
     * The format is defined by [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2024-07-25T21:10:29.600Z}.
     *
     */
    "timeLastProcessed": Date;
}
export declare namespace PipelineRunningProcessSummary {
    function getJsonObj(obj: PipelineRunningProcessSummary): object;
    function getDeserializedJsonObj(obj: PipelineRunningProcessSummary): object;
}
