/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of source or target schema tables of a pipeline's assigned connection.
 * 1. If there is no explicit mapping defined for the pipeline then only matched source and target schema's table names will be returned
 * 2. If there are explicit mappings defined for the pipeline then along with the mapped source and target schema's table names, the matched source and target schema's table names also will be returned.
 *
 */
export interface PipelineSchemaTableSummary {
    /**
     * The table name from the schema of database connection.
     *
     */
    "sourceTableName": string;
    /**
     * The table name from the schema of database connection.
     *
     */
    "targetTableName": string;
}
export declare namespace PipelineSchemaTableSummary {
    function getJsonObj(obj: PipelineSchemaTableSummary): object;
    function getDeserializedJsonObj(obj: PipelineSchemaTableSummary): object;
}
