/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information to update a the Amazon Kinesis Connection.
 *
 */
export interface UpdateAmazonKinesisConnectionDetails extends model.UpdateConnectionDetails {
    /**
     * Access key ID to access the Amazon Kinesis.
     *
     */
    "accessKeyId"?: string;
    /**
     * Secret access key to access the Amazon Kinesis.
     * Deprecated: This field is deprecated and replaced by \"secretAccessKeySecretId\". This field will be removed after February 15 2026.
     *
     */
    "secretAccessKey"?: string;
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Secret where the secret access key is stored.
     * Note: When provided, 'secretAccessKey' field must not be provided.
     *
     */
    "secretAccessKeySecretId"?: string;
    "connectionType": string;
}
export declare namespace UpdateAmazonKinesisConnectionDetails {
    function getJsonObj(obj: UpdateAmazonKinesisConnectionDetails, isParentJsonObj?: boolean): object;
    const connectionType = "AMAZON_KINESIS";
    function getDeserializedJsonObj(obj: UpdateAmazonKinesisConnectionDetails, isParentJsonObj?: boolean): object;
}
