/**
 * Java Management Service Fleets API
 * The APIs for the [Fleet Management](https://docs.oracle.com/en-us/iaas/jms/doc/fleet-management.html) feature of Java Management Service to monitor and manage the usage of Java in your enterprise. Use these APIs to manage fleets, configure managed instances to report to fleets, and gain insights into the Java workloads running on these instances by carrying out basic and advanced features.
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary of a fleet error.
 */
export interface FleetErrorSummary {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Fleet.
     */
    "fleetId": string;
    /**
     * The display name of the Fleet.
     */
    "fleetName": string;
    /**
     * The compartment [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Fleet.
     *
     */
    "compartmentId": string;
    /**
     * List of fleet error details.
     */
    "errors": Array<model.FleetErrorDetails>;
    /**
     * The timestamp of the first time an error was detected.
     *
     */
    "timeFirstSeen": Date;
    /**
     * The timestamp of the last time an error was detected.
     *
     */
    "timeLastSeen": Date;
}
export declare namespace FleetErrorSummary {
    function getJsonObj(obj: FleetErrorSummary): object;
    function getDeserializedJsonObj(obj: FleetErrorSummary): object;
}
