/**
 * Vault Key Management API
 * Use the Key Management API to manage vaults and keys. For more information, see [Managing Vaults](https://docs.oracle.com/iaas/Content/KeyManagement/Tasks/managingvaults.htm) and [Managing Keys](https://docs.oracle.com/iaas/Content/KeyManagement/Tasks/managingkeys.htm).

 * OpenAPI spec version: release
 * Contact: sparta_kms_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An object which encapsulates the details of a given HSM Cluster.
 */
export interface HsmClusterSummary {
    /**
     * The OCID of a HSMCluster resource.
     */
    "id": string;
    /**
     * A user-friendly name for a HSMCluster resource. It does not have to be unique, and it is changeable.
     * Avoid entering confidential information.
     *
     */
    "displayName": string;
    /**
     * The OCID of the compartment that contains a particular HSMCluster resource.
     */
    "compartmentId": string;
    /**
      * A HSMCluster resource's current lifecycle state.
  * <p>
  Example: {@code ACTIVE}
  *
      */
    "lifecycleState": string;
    /**
     * DNS name for the HSMCluster -- this will contain information about the region as well.
     */
    "dnsName": string;
    /**
      * The date and time a dedicated KMS resource was created, expressed in [RFC 3339](https://tools.ietf.org/html/rfc3339) timestamp format.
  * <p>
  Example: {@code 2023-04-03T21:10:29.600Z}
  *
      */
    "timeCreated": Date;
    /**
      * The date and time a dedicated KMS resource was updated, expressed in [RFC 3339](https://tools.ietf.org/html/rfc3339) timestamp format.
  * <p>
  Example: {@code 2023-04-03T21:10:29.600Z}
  *
      */
    "timeUpdated": Date;
    /**
     * An optional property indicating when to delete the resource, expressed in [RFC 3339](https://tools.ietf.org/html/rfc3339) timestamp format.
     * Example: {@code 2019-04-03T21:10:29.600Z}
     *
     */
    "timeOfDeletion"?: Date;
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
     * For more information, see [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
}
export declare namespace HsmClusterSummary {
    function getJsonObj(obj: HsmClusterSummary): object;
    function getDeserializedJsonObj(obj: HsmClusterSummary): object;
}
