/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Defines a variable used in a macro or the initization section of a query.
 *
 */
export interface VariableDefinition {
    /**
     * Name of the variable preceded by a $.
     *
     */
    "name": string;
    /**
     * Descripion of the variable to show the user.
     *
     */
    "description"?: string;
    /**
     * Type of the variable to show the user.
     *
     */
    "type"?: VariableDefinition.Type;
    /**
     * Default value of the variable is not already set.
     *
     */
    "defaultValue"?: string;
    /**
     * Optional list of properties for the variable.
     *
     */
    "properties"?: Array<model.PropertyDefinition>;
}
export declare namespace VariableDefinition {
    enum Type {
        Number = "NUMBER",
        String = "STRING",
        Timestamp = "TIMESTAMP",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: VariableDefinition): object;
    function getDeserializedJsonObj(obj: VariableDefinition): object;
}
