/**
 * File Storage with Lustre API
 * Use the File Storage with Lustre API to manage Lustre file systems and related resources. For more information, see [File Storage with Lustre](https://docs.oracle.com/iaas/Content/lustre/home.htm).
 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A log message from performing an operation that is tracked by a work request.
 */
export interface WorkRequestLogEntry {
    /**
     * A human-readable log message.
     */
    "message": string;
    /**
     * The date and time the log message was written, in the format defined by
     * [RFC 3339](https://tools.ietf.org/html/rfc3339).
     *
     */
    "timestamp": Date;
}
export declare namespace WorkRequestLogEntry {
    function getJsonObj(obj: WorkRequestLogEntry): object;
    function getDeserializedJsonObj(obj: WorkRequestLogEntry): object;
}
