/**
 * Dblm API
 * A description of the Dblm API
 * OpenAPI spec version: 20240102
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The assessed Resources.
 */
export interface VulnerabilityResourceSummary {
    /**
     * The resource ID for this resource.
     */
    "id": string;
    /**
     * The name of the resource.
     */
    "name": string;
    /**
     * A string representing the version of the resource.
     */
    "version": string;
    /**
     * A string representing the release of the resource.
     */
    "release": string;
    /**
     * A string representing the platform of the resource.
     */
    "platform": string;
    /**
     * Time when the latest configuration collection happened.
     */
    "timeConfigCollected": Date;
    /**
     * Time when the latest scan happened for the resource.
     */
    "timeScanEnded": Date;
    /**
     * Identifier for the resource is subscribed to.
     */
    "imageId": string;
    /**
     * Image the resource is subscribed to.
     */
    "subscribedImage": string;
    /**
     * Metric errors.
     */
    "metricErrors": Array<model.MetricError>;
    /**
     * PDBs for a CDB.
     */
    "childPdbs": Array<model.ChildPdb>;
    /**
     * Summary of the resources that are registered and may or may not have vulnerabilities.
     */
    "vulnerabilitiesSummary": any;
    /**
     * Summary of the patch recommendations for databases.
     */
    "patchRecommendationsSummary": any;
    /**
     * List of the patch recommendations for databases
     */
    "patchRecommendationsDetails": Array<model.PatchRecommendationsDetailsSummary>;
}
export declare namespace VulnerabilityResourceSummary {
    function getJsonObj(obj: VulnerabilityResourceSummary): object;
    function getDeserializedJsonObj(obj: VulnerabilityResourceSummary): object;
}
